Kamo System Requirements

Kamo currently supports Windows 7 Service Pack 1 and higher versions of Windows.

Please note that other operating systems, such as macOS, iOS, Android, are not currently supported. Additionally, like all of our products, we do not recommend making use of Kamo on Windows Insider releases of Windows 10.